{
	"name": "ts-defaults",
	"description": "Defaults implementation with type-safety and mostly dynamic type adaptation.",
	"author": "Kyle Albert",
	"version": "1.0.1",
	"license": "MIT",
	"keywords": [
		"default",
		"defaults",
		"types",
		"TypeScript"
	],
	"main": "dist/index.cjs.js",
	"module": "dist/index.esm.js",
	"browser": "dist/index.umd.js",
	"types": "dist/index.d.ts",
	"homepage": "https://gitlab.com/kyle-albert-oss/npm-packages/ts-defaults",
	"repository": "gitlab:kyle-albert-oss/npm-packages/ts-defaults",
	"scripts": {
		"build": "npm run clean && npm run test:coverage && npm run build:rollup && npm run build:tsc:d",
		"build:rollup": "rollup -c",
		"build:tsc:d": "tsc -p tsconfig.dist.json --emitDeclarationOnly",
		"ci:build": "npm run clean && npm run build:rollup && npm run build:tsc:d",
		"ci:test": "npm run test:coverage",
		"clean": "rimraf ./dist",
		"gen:changelog": "conventional-changelog -p angular -i CHANGELOG.md -s && git add CHANGELOG.md",
		"lint": "eslint --ext .js,.ts src/",
		"lint:fix": "eslint --ext .js,.ts --fix src/",
		"preversion": "npm run build",
		"version": "npm run gen:changelog",
		"postversion": "git push && git push --tags",
		"prepack": "npm run build",
		"pretest": "npm run test:cyclic",
		"test": "jest",
		"test:coverage": "npm test -- --coverage",
		"test:cyclic": "madge --circular --warning --tsConfig ./tsconfig.json --extensions ts ./src",
		"test:watch": "jest --watch"
	},
	"devDependencies": {
		"@rollup/plugin-commonjs": "^11.0.2",
		"@rollup/plugin-node-resolve": "^7.1.1",
		"@rollup/plugin-typescript": "^3.0.0",
		"@types/jest": "^25.1.3",
		"@typescript-eslint/eslint-plugin": "^2.20.0",
		"@typescript-eslint/parser": "^2.20.0",
		"conditional-type-checks": "^1.0.5",
		"conventional-changelog-cli": "^2.0.31",
		"eslint": "^6.8.0",
		"eslint-config-prettier": "^6.10.0",
		"husky": "^4.2.3",
		"jest": "^25.1.0",
		"jest-extended": "^0.11.5",
		"lint-staged": "^10.0.7",
		"madge": "^3.7.0",
		"prettier": "^1.19.1",
		"rimraf": "^3.0.2",
		"rollup": "^1.31.1",
		"rollup-plugin-auto-external": "^2.0.0",
		"rollup-plugin-multi-input": "^1.0.3",
		"ts-jest": "^25.2.1",
		"ts-node": "^8.6.2",
		"typescript": "^3.5.3"
	},
	"husky": {
		"hooks": {
			"pre-commit": "lint-staged"
		}
	},
	"lint-staged": {
		"*.{js,ts}": "eslint --cache --fix",
		"*.{js,css,md}": "prettier --write"
	}
}
